@echo off
REM *******************************************************************
REM  Description: VB.NET Basic ECI Sample 1 and 3 make file
REM
REM  <copyright 
REM  notice="lm-source-program" 
REM  pids="CA76" 
REM  years="2012" 
REM  crc="301429110" > 
REM  Licensed Materials - Property of IBM  
REM   
REM  CA76 
REM   
REM  (C) Copyright IBM Corp. 2012 All Rights Reserved.  
REM   
REM  US Government Users Restricted Rights - Use, duplication or  
REM  disclosure restricted by GSA ADP Schedule Contract with  
REM  IBM Corp.  
REM  </copyright> 
REM
REM  Status: Version 1 Release 0
REM *******************************************************************
SETLOCAL ENABLEEXTENSIONS

REM This make file can be invoked from anywhere, but expects to be invoked
REM part of the ctgredist package. The compiled output will be placed in
REM the same location as this script.
REM Determine location of this file
SET LOC=%~dp0
REM Determine current working directory
SET USERCWD=%CD%
REM Switch current working directory if required
if /i "%LOC%" NEQ "%USERCWD%" CD "%LOC%"

echo CICS Transaction Gateway Basic ECI VB.NET Sample 1:
echo on

vbc /target:exe /out:EciB1.exe ^
    /reference:..\..\..\IBM.CTG.Client.dll ^
    /reference:System.dll EciB1.vb

copy App.config EciB1.exe.config

@echo off
echo CICS Transaction Gateway Basic ECI VB.NET Sample 3:
echo on

vbc /target:exe /out:EciB3.exe ^
    /reference:..\..\..\IBM.CTG.Client.dll ^
    /reference:System.dll EciB3.vb

copy App.config EciB3.exe.config

@echo off
if exist IBM.CTG.Client.dll goto end
echo Copying .NET assembly to current directory
echo on
copy ..\..\..\IBM.CTG.Client.dll
:end
@echo off
if exist EciB1.exe echo Compiled output - %LOC%EciB1.exe
if exist EciB3.exe echo Compiled output - %LOC%EciB3.exe
REM Restore current working directory if required
if /i "%LOC%" NEQ "%USERCWD%" CD "%USERCWD%"

ENDLOCAL

